> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/volume.md).

# Volume

Haut.AI provides an AI algorithm that estimates hair volume. Response scheme for Hair Metrics 2.0.

## **Description**

Hair volume is often associated with overall health. However, volume is determined by many factors, such as hair type, heredity, hair thickness, and hair density. The hair’s color also influences its volume: blond hair is often fine and soft, while dark hair is usually thicker. The reasons for a loss of visual volume in a hairstyle can be hair loss or hair thinning due to a lack of vitamins or diseases.

**`"algorithm_tech_name": "volume"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric indicates the hair volume category for `area_name`

```javascript
"main_metric": {
                "value": "Medium-low volume",
                "widget_type": "category",
                "name": "Volume",
                "tech_name": "volume",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-MiR_5V3nq8FGSCAlM0O%2F-MiR_Rk88NOv3HBa4Rx8%2F%D0%94%D0%BE%D0%BA%204_6.jpeg?alt=media\&token=ce02ca45-4a00-4da3-8168-e7559c67e85a)

* **`value`** The hair volume is divided into eight classes, as listed below. Each category gets its own confidence level in the range of `[0,100]`, where the highest score indicates the hair's volume class:
  * `Extra-low volume`
  * `Low volume`
  * `Rather low volume`
  * `Medium-low volume`
  * `Medium-high volume`
  * `Rather high volume`
  * `High volume`
  * `Extra-high volume`
* `"widget_type": "category"`
* `"name": "Volume"`
* `"tech_name": "volume"`

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/volume.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
